Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.php
Class PHPParameters

    java.lang.Object
      org.apache.portals.bridges.common.ScriptRuntimeData
          org.apache.portals.bridges.php.PHPParameters

public class PHPParameters
extends org.apache.portals.bridges.common.ScriptRuntimeData

PHPParameters Class holding information about the PHP scripts to execute.This class is typically attached to a PortletAction (as an attribute).

Version:
  $Id: PHPParameters.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Roger Ruttimann

Field Summary
`static String` | `ACTION_PARAMETER_PHP` Action Parameter for PHP requests
`static String` | `PHP_PARAMETER` Session variable for PHP Parameters

Fields inherited from class org.apache.portals.bridges.common.ScriptRuntimeData
``

Constructor Summary
`PHPParameters()`

Methods inherited from class org.apache.portals.bridges.common.ScriptRuntimeData
`addQueryArgument, getApplicationName, getDisplayMessage, getQueryString, getScriptName, getSessionParameterName, setApplicationName, setDisplayMessage, setQueryString, setScriptName, setSessionParameterName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_PARAMETER_PHP

    public static final String ACTION_PARAMETER_PHP

  Action Parameter for PHP requests

  See Also:
    Constant Field Values

### PHP_PARAMETER

    public static final String PHP_PARAMETER

  Session variable for PHP Parameters

  See Also:
    Constant Field Values

Constructor Detail

### PHPParameters

    public PHPParameters()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.